Skip to main content
`Ctrl`+`K`

# VecBindToCPU

marks a vector to temporarily stay on the CPU and perform computations on the CPU

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecBindToCPU(Vec v, PetscBool flg)

Logically collective

## Input Parameters

- v - the vector

- flg - bind to the CPU if value of `PETSC_TRUE`

## See Also

Vectors and Parallel Data, `Vec`, `VecBoundToCPU()`

## Level

intermediate

## Location

src/vec/vec/interface/vector.c

## Implementations

VecBindToCPU_MPIViennaCL() in src/vec/vec/impls/mpi/mpiviennacl/mpiviennacl.cxx
VecBindToCPU_SeqKokkos() in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx
VecBindToCPU_SeqAIJViennaCL() in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages